package de.dass_it.vanhelsing.gui.items;
public class CatalogItem extends ItemType implements UserObjectItem{

	private String name;
	private String password;
	private String dbName;
	private String user;
	private String dbSocket;
	private String dbAddress;
	private String dbPort;

	public CatalogItem(){}
	public CatalogItem(String name, String dbname, String user, String password){
		setName(name);
		setDbName(dbname);
		setUser(user);
		setPassword(password);
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getDbName() {
		return dbName;
	}
	public void setDbName(String dbName) {
		this.dbName = dbName;
	}
	public String getUser() {
		return user;
	}
	public void setUser(String user) {
		this.user = user;
	}
	public String getDbSocket() {
		return dbSocket;
	}
	public void setDbSocket(String dbSocket) {
		this.dbSocket = dbSocket;
	}
	public String getDbAddress() {
		return dbAddress;
	}
	public void setDbAddress(String dbAddress) {
		this.dbAddress = dbAddress;
	}
	public String getDbPort() {
		return dbPort;
	}
	public void setDbPort(String dbPort) {
		this.dbPort = dbPort;
	}	
}
